
#include <libsaria/audio.h>
#include <libsaria/print.h>
#include "audio.h"

static GstElement *player = NULL;

GstElement *get_player()
{
	return player;
}

namespace libsaria
{

	void audio::init(int argc, char **argv)
	{
		println("Initializing audio driver");
		gst_init(&argc, &argv);
		player = gst_element_factory_make("playbin2", "player");
		set_volume(1.0);
	}

};
